petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerHDF5SetBaseDimension2

Vectors of 1 dimension (i.e. bs/dof is 1) will be saved in the HDF5 file with a dimension of 2.

### Synopsis

    #include "petscsys.h"
    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5SetBaseDimension2(PetscViewer viewer,PetscBool flg)

Logically Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer; if it is not hdf5 then this command is ignored
| flg | - if PETSC_TRUE the vector will always have at least a dimension of 2 even if that first dimension is of size 1

### Options Database

-viewer_hdf5_base_dimension2 -turns on (true) or off (false) using a dimension of 2 in the HDF5 file even if the bs/dof of the vector is 1

### Notes

Setting this option allegedly makes code that reads the HDF5 in easier since they do not have a "special case" of a bs/dof of one when the dimension is lower. Others think the option is crazy.

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

### Examples

src/dm/examples/tutorials/ex9.c.html

### Implementations

PetscViewerHDF5SetBaseDimension2_HDF5 in src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages